<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.6.0.final using JasperReports Library version 6.6.0  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="PenjualanRekapProfit" pageWidth="595" pageHeight="842" columnWidth="567" leftMargin="14" rightMargin="14" topMargin="20" bottomMargin="20" uuid="ca576432-6e59-4aac-9a10-9752b6e9946d">
	<property name="ireport.scriptlethandling" value="0"/>
	<property name="ireport.encoding" value="UTF-8"/>
	<property name="ireport.zoom" value="1.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="DutaJayaDataAdapter.xml"/>
	<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
	<import value="net.sf.jasperreports.engine.*"/>
	<import value="java.util.*"/>
	<import value="net.sf.jasperreports.engine.data.*"/>
	<parameter name="toko" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["Rejeki Makmur"]]></defaultValueExpression>
	</parameter>
	<parameter name="alamat1" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["Ruko Tidar Mas Square C16"]]></defaultValueExpression>
	</parameter>
	<parameter name="alamat2" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["Surabaya - 6102 - Indonesia"]]></defaultValueExpression>
	</parameter>
	<parameter name="telp" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["Ph. 08123123123, 031-30423123"]]></defaultValueExpression>
	</parameter>
	<parameter name="email" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["rejeki.makmur@yahoo.com"]]></defaultValueExpression>
	</parameter>
	<parameter name="tanggal1" class="java.lang.String">
		<defaultValueExpression><![CDATA["2020-03-01"]]></defaultValueExpression>
	</parameter>
	<parameter name="tanggal2" class="java.lang.String">
		<defaultValueExpression><![CDATA["2020-03-31"]]></defaultValueExpression>
	</parameter>
	<parameter name="idCustomer" class="java.lang.Integer" isForPrompting="false"/>
	<parameter name="idSales" class="java.lang.Integer" isForPrompting="false"/>
	<parameter name="idExpedisi" class="java.lang.Integer" isForPrompting="false"/>
	<parameter name="idGudang" class="java.lang.Integer" isForPrompting="false"/>
	<queryString>
		<![CDATA[select tgl_faktur, sum(coalesce(nett,0)) as total, sum(profit) as profit, sum(biaya_item) as biaya_item
from(
select tgl_faktur, id_faktur, nett, sum(qty*(unit_price-item_cost)) as profit, sum(qty*biaya_item) as biaya_item from fn_rpt_penjualan_detail_item_cost(
$P{tanggal1}, $P{tanggal2}, $P{idCustomer}::int, $P{idSales}::int, $P{idExpedisi}::int, $P{idGudang}::int) as (
id_faktur bigint, no_faktur varchar, tgl_faktur date, no_so varchar,
nama_gudang varchar, id_customer bigint, nama_customer varchar, alamat_customer varchar, kota_customer varchar, telp_hp varchar, id_expedisi int,
nama_expedisi varchar, jt_tempo date, ket_faktur text, trx_type varchar, ket_pembayaran text, status_bayar text, id_sales bigint, nama_sales varchar, ar_disc varchar,
ar_disc_rp double precision, nett double precision, plu varchar, nama_barang varchar, qty double precision, satuan varchar, unit_price double precision,
disc varchar, ppn double precision, biaya double precision, sub_total double precision, 	keterangan varchar, item_cost double precision, biaya_item double precision)
	group by tgl_faktur, id_faktur, nett
)x group by tgl_faktur
order by tgl_faktur]]>
	</queryString>
	<field name="tgl_faktur" class="java.sql.Date">
		<property name="com.jaspersoft.studio.field.label" value="tgl_faktur"/>
	</field>
	<field name="total" class="java.lang.Double">
		<property name="com.jaspersoft.studio.field.label" value="total"/>
	</field>
	<field name="profit" class="java.lang.Double">
		<property name="com.jaspersoft.studio.field.label" value="profit"/>
	</field>
	<field name="biaya_item" class="java.lang.Double">
		<property name="com.jaspersoft.studio.field.label" value="biaya_item"/>
	</field>
	<variable name="nomor" class="java.lang.Integer" calculation="Count">
		<variableExpression><![CDATA[$F{tgl_faktur}]]></variableExpression>
	</variable>
	<variable name="totNett" class="java.lang.Double" calculation="Sum">
		<variableExpression><![CDATA[$F{total}]]></variableExpression>
	</variable>
	<variable name="totProfit" class="java.lang.Double" calculation="Sum">
		<variableExpression><![CDATA[$F{profit}]]></variableExpression>
	</variable>
	<variable name="totBiayaItem" class="java.lang.Double" calculation="Sum">
		<variableExpression><![CDATA[$F{biaya_item}]]></variableExpression>
	</variable>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band splitType="Stretch"/>
	</title>
	<pageHeader>
		<band height="83" splitType="Stretch">
			<staticText>
				<reportElement key="staticText-55" x="0" y="67" width="30" height="16" uuid="108233f3-2902-4ac2-b6a3-1cf20f822191"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="0.75"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="1.5" lineStyle="Double"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="10" isBold="true"/>
				</textElement>
				<text><![CDATA[No.]]></text>
			</staticText>
			<staticText>
				<reportElement key="staticText-56" x="30" y="67" width="64" height="16" uuid="ed7c2b60-a1a5-461f-977e-7c6ba282b817"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="0.75"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="1.5" lineStyle="Double"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="10" isBold="true"/>
				</textElement>
				<text><![CDATA[Tanggal]]></text>
			</staticText>
			<staticText>
				<reportElement key="staticText-57" x="94" y="67" width="95" height="16" uuid="7d9bea59-b71d-4e00-acbc-17eb71869ff0"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="0.75"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="1.5" lineStyle="Double"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="10" isBold="true"/>
				</textElement>
				<text><![CDATA[Total Penjualan]]></text>
			</staticText>
			<staticText>
				<reportElement key="staticText-58" x="189" y="67" width="101" height="16" uuid="fc0fbd8c-96c7-49bb-a3f5-066421c0eae9"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="0.75"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="1.5" lineStyle="Double"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Arial" size="10" isBold="true"/>
				</textElement>
				<text><![CDATA[Profit]]></text>
			</staticText>
			<textField isBlankWhenNull="false">
				<reportElement key="textField" x="0" y="0" width="290" height="24" uuid="7cab7c9a-d3e4-4333-a114-0bb3ca769d01"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="Arial" size="14" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{toko}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="staticText-50" x="0" y="24" width="290" height="16" uuid="ab1da4a8-a36a-4f83-be22-402e58173d5e"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="Arial" size="11" isBold="true"/>
				</textElement>
				<text><![CDATA[Rekap Profit Penjualan Per Periode Tanggal]]></text>
			</staticText>
			<textField isBlankWhenNull="false">
				<reportElement key="textField-33" x="0" y="40" width="567" height="16" uuid="083b0225-df43-4584-ab2b-34d2fc9b7e52"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="Arial" isBold="true" isUnderline="false"/>
				</textElement>
				<textFieldExpression><![CDATA["Periode : "+ $P{tanggal1}.substring(8,10)+ $P{tanggal1}.substring(4,7)+'-'+$P{tanggal1}.substring(0,4)+" S/d "+$P{tanggal2}.substring(8,10)+ $P{tanggal2}.substring(4,7)+'-'+$P{tanggal2}.substring(0,4)]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="staticText-58" x="290" y="67" width="101" height="16" uuid="adf35a66-5c71-4df1-9fa9-5536beea8854"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="0.75"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="1.5" lineStyle="Double"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Arial" size="10" isBold="true"/>
				</textElement>
				<text><![CDATA[Biaya Item]]></text>
			</staticText>
			<staticText>
				<reportElement key="staticText-58" x="391" y="67" width="101" height="16" uuid="1b57ad61-c7a6-4e4f-a8b8-f31a8b77150c"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="0.75"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="1.5" lineStyle="Double"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Arial" size="10" isBold="true"/>
				</textElement>
				<text><![CDATA[Nett Profit]]></text>
			</staticText>
		</band>
	</pageHeader>
	<columnHeader>
		<band splitType="Stretch"/>
	</columnHeader>
	<detail>
		<band height="14" splitType="Stretch">
			<textField isBlankWhenNull="false">
				<reportElement key="textField-7" x="0" y="0" width="30" height="14" uuid="0c31bce6-cca4-49da-a0a8-ff830f2a1d6e"/>
				<box topPadding="1" leftPadding="2" rightPadding="2">
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
				</box>
				<textElement verticalAlignment="Top">
					<font fontName="Arial" size="10"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{nomor}]]></textFieldExpression>
			</textField>
			<textField pattern="dd/MM/yyyy" isBlankWhenNull="false">
				<reportElement key="textField-8" x="30" y="0" width="64" height="14" uuid="2aa5b492-8ff8-4e6e-9637-97f39db71ab6"/>
				<box topPadding="1" leftPadding="2" rightPadding="2">
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
				</box>
				<textElement verticalAlignment="Top">
					<font fontName="Arial" size="10"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{tgl_faktur}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0" isBlankWhenNull="false">
				<reportElement key="textField-9" x="94" y="0" width="95" height="14" uuid="eac8c63e-4dfb-4358-b4e4-2e5f5f93836a"/>
				<box topPadding="1" leftPadding="2" rightPadding="2">
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top">
					<font fontName="Arial" size="10"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{total}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0" isBlankWhenNull="false">
				<reportElement key="textField-11" x="189" y="0" width="101" height="14" uuid="a08b440b-42a2-4a65-b61e-1f02027ea897"/>
				<box topPadding="1" leftPadding="2" rightPadding="2">
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top">
					<font fontName="Arial" size="10"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{profit}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0" isBlankWhenNull="false">
				<reportElement key="textField-11" x="290" y="0" width="101" height="14" uuid="b6a58d57-df6d-40c1-96c9-9946def978cd"/>
				<box topPadding="1" leftPadding="2" rightPadding="2">
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top">
					<font fontName="Arial" size="10"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{biaya_item}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0" isBlankWhenNull="false">
				<reportElement key="textField-11" x="391" y="0" width="101" height="14" uuid="c72656e6-124f-482a-a715-04d8f323dbc6"/>
				<box topPadding="1" leftPadding="2" rightPadding="2">
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top">
					<font fontName="Arial" size="10"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{profit} - $F{biaya_item}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band height="20" splitType="Stretch"/>
	</pageFooter>
	<summary>
		<band height="22" splitType="Stretch">
			<textField pattern="#,##0" isBlankWhenNull="false">
				<reportElement key="textField-34" x="94" y="0" width="95" height="17" uuid="c9d92803-dcd8-4cf1-b461-94a6a0077581"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="1.25" lineStyle="Double"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="1.25" lineStyle="Double"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Arial" size="10" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{totNett}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="staticText-51" x="0" y="0" width="94" height="17" uuid="1236037b-4cfe-402d-80a8-7163e8a3f04e"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="1.25" lineStyle="Double"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="1.25" lineStyle="Double"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="10" isBold="true"/>
				</textElement>
				<text><![CDATA[GRAND TOTAL]]></text>
			</staticText>
			<textField pattern="#,##0" isBlankWhenNull="false">
				<reportElement key="textField-34" x="189" y="0" width="101" height="17" uuid="87b58c88-c8c1-400c-8029-ce5c16ea9c27"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="1.25" lineStyle="Double"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="1.25" lineStyle="Double"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Arial" size="10" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{totProfit}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0" isBlankWhenNull="false">
				<reportElement key="textField-34" x="290" y="0" width="101" height="17" uuid="dd53fc6d-8d9d-4087-a1d5-9e863f816634"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="1.25" lineStyle="Double"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="1.25" lineStyle="Double"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Arial" size="10" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{totBiayaItem}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0" isBlankWhenNull="false">
				<reportElement key="textField-34" x="391" y="0" width="101" height="17" uuid="d845cf79-eebb-4f1a-ad48-4d0c664b94d1"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="1.25" lineStyle="Double"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="1.25" lineStyle="Double"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Arial" size="10" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{totProfit} - $V{totBiayaItem}]]></textFieldExpression>
			</textField>
		</band>
	</summary>
</jasperReport>
